apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.38.0 (a8f5d1cbd)
  labels:
    io.kompose.service: music-grabber
  name: music-grabber
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: music-grabber
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.38.0 (a8f5d1cbd)
      labels:
        io.kompose.service: music-grabber
    spec:
      containers:
        - env:
            - name: ACOUSTID_API_KEY
              value: 4b5DGYGrih
            - name: APPRISE_URL
              value: gotify://gotify.delmar.bzh/A-4Fe2UBRbV5J_J
            - name: DB_PATH
              value: /data/music_grabber.db
            - name: DEFAULT_CONVERT_TO_FLAC
              value: "true"
            - name: ENABLE_MUSICBRAINZ
              value: "true"
            - name: JELLYFIN_API_KEY
              value: 65e51490397749d6945c4561a53e012a
            - name: JELLYFIN_URL
              value: https://jellyfin.delmar.bzh
            - name: LISTEN_ADDR
              value: 0.0.0.0
            - name: LISTEN_PORT
              value: "8080"
            - name: MUSIC_DIR
              value: /music
            - name: NAVIDROME_PASS
              value: sandstorm-outcast-treat
            - name: NAVIDROME_URL
              value: http://navidrome:4533
            - name: NAVIDROME_USER
              value: admin
            - name: NOTIFY_ON
              value: playlists,bulk,errors
            - name: PGID
              value: "1000"
            - name: PUID
              value: "1000"
            - name: SMTP_HOST
              value: pro1.mail.ovh.net
            - name: SMTP_PASS
              value: sxS4GA8rBfmFkCFL
            - name: SMTP_PORT
              value: "587"
            - name: SMTP_TO
              value: jme69@delmar.bzh
            - name: SMTP_USER
              value: admin@delmar.bzh
          image: g33kphr33k/musicgrabber:latest
          name: music-grabber
          ports:
            - containerPort: 8080
              protocol: TCP
          volumeMounts:
            - mountPath: /music
              name: music
            - mountPath: /data
              name: music-grabber
      restartPolicy: Always
      volumes:
        - name: music
          persistentVolumeClaim:
            claimName: music
        - name: music-grabber
          persistentVolumeClaim:
            claimName: music-grabber
